Package com.collibra.dgc.core.api.model.security

# Enum Class Permission

Object
Enum<Permission>
Permission

All Implemented Interfaces:
  `Serializable`, `Comparable<Permission>`, `Constable`

public enum Permission extends Enum<Permission>
Represents permission.

A permission is a right or a responsibility assigned to a role. You provide or restrict permissions to do certain actions in Collibra DGC, like editing asset attributes or removing domains.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_DATA`
  Allows for accessing data.
  `ADVANCED_DATA_TYPE_ADD`
  Allows for adding advanced data type.
  `ADVANCED_DATA_TYPE_EDIT`
  Allows for changing advanced data type.
  `ADVANCED_DATA_TYPE_REMOVE`
  Allows for removing advanced data type.
  `AI_COPILOT`
  Grants users access to interact with the Collibra AI Copilot interface and access the AI agents that power it.
  `AI_GOVERNANCE`
  AI Governance permissions.
  `AI_GOVERNANCE_DASHBOARD_ADMINISTRATION`
  `AI_GOVERNANCE_REGISTER_AI_AGENT`
  `AI_GOVERNANCE_REGISTER_AI_MODEL`
  `AI_GOVERNANCE_REGISTER_AI_USE_CASE`
  `AI_GOVERNANCE_SUMMARY_DASHBOARD`
  `ASSESSMENTS`
  Assessments permissions.
  `ASSESSMENTS_ADMINISTRATION`
  `ASSESSMENTS_CONDUCT_ASSESSMENTS`
  `ASSESSMENTS_MANAGE_TEMPLATES`
  `ASSET_ADD`
  Allows for adding assets.
  `ASSET_ATTRIBUTE_ADD`
  Allows for adding attributes to assets.
  `ASSET_ATTRIBUTE_CHANGE`
  Allows for changing attributes of assets.
  `ASSET_ATTRIBUTE_REMOVE`
  Allows for removing attributes from assets.
  `ASSET_CHANGE`
  Allows for changing assets.
  `ASSET_CONTROL_ACTIVATE_AND_RUN`
  Grants the ability to manage controls in Control Tower.
  `ASSET_DECISION_RECORD`
  Allow users to create a Decision Record within the Progress Tracker.
  `ASSET_GRID_ADMINISTRATION`
  Deprecated.
  this permission is not in use anymore.
  `ASSET_PROGRESS_TRACKER_ASSESSMENT`
  Allow users to create a Assessment Activities within the Progress Tracker
  `ASSET_PROGRESS_TRACKER_SIGN_OFF`
  Allow users to create a Sign-Off within the Progress Tracker
  `ASSET_PROGRESS_TRACKER_UPDATE_STATUS`
  Allow users to change status of the asset within the Progress Tracker.
  `ASSET_REMOVE`
  Allows for removing assets.
  `ASSET_RESPONSIBILITY_ADD`
  Allows for adding responsibilities on assets.
  `ASSET_RESPONSIBILITY_CHANGE`
  Allows for changing responsibilities on assets.
  `ASSET_RESPONSIBILITY_REMOVE`
  Allows for removing responsibilities on assets.
  `ASSET_STATUS_CHANGE`
  Allows for changing the status of an asset.
  `ASSET_TAG_CHANGE`
  Allows for changing tags on an asset.
  `ASSET_TYPE_CHANGE`
  Allows for changing the type of an asset.
  `ATTACHMENT_ADD`
  Allows for adding attachments to resources.
  `ATTACHMENT_CHANGE`
  Allows for changing attachments of resources.
  `ATTACHMENT_REMOVE`
  Allows for removing attachments from resources.
  `BACKSTORE_EDIT`
  Deprecated.
  this permission is not in use anymore.
  `BACKSTORE_VIEW`
  Deprecated.
  this permission is not in use anymore.
  `BUSINESS_SEMANTICS_GLOSSARY`
  Allows for accessing the Business Semantic Glossary.
  `CATALOG`
  Allows for accessing the Catalog.
  `CLASSIFY`
  Allows to trigger the classification process
  `COMMENT_ADD`
  Allows for adding comments on resources.
  `COMMENT_CHANGE`
  Allows for changing comments on resources.
  `COMMENT_REMOVE`
  Allows for removing comments from resources.
  `COMMUNITY_ADD`
  Allows for adding communities.
  `COMMUNITY_CHANGE`
  Allows for changing communities.
  `COMMUNITY_CONFIGURE_EXTERNAL_SYSTEM`
  Allows to configure external system for community.
  `COMMUNITY_REMOVE`
  Allows for removing communities.
  `COMMUNITY_RESPONSIBILITY_ADD`
  Allows for adding responsibilities on communities.
  `COMMUNITY_RESPONSIBILITY_CHANGE`
  Allows for changing responsibilities on communities.
  `COMMUNITY_RESPONSIBILITY_REMOVE`
  Allows for removing responsibilities on communities.
  `CONFIGURATION_EDIT`
  Allow to edit the configuration
  `CONFIGURATION_VIEW`
  Allow to view the configuration
  `CONTROL_TOWER`
  Grants access to Control Tower features and functionality.
  `DATA_ACCESS`
  Allows users to access the Collibra Data Access application.
  `DATA_ACCESS_CALL_SYNC_APIS`
  Allows users to call the import and export APIs to build custom integrations.
  `DATA_ACCESS_CREATE_ACCESS_CONTROLS`
  Allows users to create new Access Controls (including masks and filters), even if they don't own any Data Objects.
  `DATA_ACCESS_MANAGE_ALL_ACCESS`
  Allows users to manage all Access Controls and monitor all data access and usage insights.
  `DATA_ACCESS_MANAGE_SETTINGS`
  Allows users to manage the settings for Collibra Data Access.
  `DATA_ACCESS_VIEW_ALL_ACCESS_AND_USAGE`
  Allows users to monitor all access and usage metrics.
  `DATA_CLASSES_ADD`
  Allows for adding data classes.
  `DATA_CLASSES_EDIT`
  Allows for changing data classes.
  `DATA_CLASSES_LIST_VALUES`
  Allows for listing of data classes values.
  `DATA_CLASSES_READ`
  Allows for reading data classes.
  `DATA_CLASSES_REMOVE`
  Allows for removing data classes.
  `DATA_CONTRACT`
  Allows users to access the data contract registry and manage data contract manifests.
  `DATA_DICTIONARY`
  Allows for accessing the Data Dictionary.
  `DATA_HELPDESK`
  Allows for accessing the Data Helpdesk.
  `DATA_MARKETPLACE`
  Allows usage of the data marketplace component
  `DATA_MARKETPLACE_MANAGE`
  Deprecated.
  this permission is not in use anymore.
  `DATA_NOTEBOOK`
  Allows user to add/update/remove their own notebooks.
  `DATA_NOTEBOOK_MANAGE_ALL_NOTEBOOKS`
  Allows user to add/update/remove all notebooks even when not their own.
  `DATA_NOTEBOOK_MANAGE_DATA_SOURCES`
  Allows user to add/update/remove the registration of data sources allowed for Data Notebooks.
  `DATA_NOTEBOOK_MANAGE_SETTINGS`
  Allows user to edit workspace settings of the Data Notebooks application.
  `DATA_PRODUCTS`
  Controls access to the Data Products application.
  `DATA_PRODUCTS_MANAGE_APPLICATION_LAYOUT`
  Controls Data Products application layout management.
  `DATA_QUALITY`
  Access Data Quality application in menu
  `DATA_QUALITY_CONNECTION_RESPONSIBILITIES_ADD`
  Add responsibilities to the connection.
  `DATA_QUALITY_CONNECTION_RESPONSIBILITIES_REMOVE`
  Remove responsibilities from the connection.
  `DATA_QUALITY_CONNECTION_VIEW`
  View connection in monitors overview.
  `DATA_QUALITY_DEPLOY_TEMPLATES`
  Deploy rule templates to Data Quality jobs
  `DATA_QUALITY_INTEGRATION`
  Sync Data Intelligence Platform with Data Quality implementation
  `DATA_QUALITY_JOB_ACCESS_LOGS`
  View and download job logs.
  `DATA_QUALITY_JOB_CREATE`
  Create new jobs on a connection.
  `DATA_QUALITY_JOB_CREATE_MONITORS`
  Create monitors on an existing job.
  `DATA_QUALITY_JOB_DELETE`
  Delete jobs from a connection.
  `DATA_QUALITY_JOB_DELETE_MONITORS`
  Delete existing monitors on an existing job.
  `DATA_QUALITY_JOB_EDIT`
  Edit existing jobs including row/column filters, run date, monitoring enabled, etc.
  `DATA_QUALITY_JOB_EDIT_MONITORS`
  Edit existing monitors on an existing job.
  `DATA_QUALITY_JOB_PREVIEW_RULE_BREAK_RECORDS`
  Preview rule results in rule workbench and view break records for custom rules.
  `DATA_QUALITY_JOB_RESPONSIBILITIES_ADD`
  Add job level responsibilities.
  `DATA_QUALITY_JOB_RESPONSIBILITIES_REMOVE`
  Remove job level responsibilities.
  `DATA_QUALITY_JOB_RUN`
  Run job - either manually or via API trigger.
  `DATA_QUALITY_JOB_SCHEDULE`
  Enable, disable or edit job schedule.
  `DATA_QUALITY_JOB_TRAIN_MONITORS`
  Train monitor results by marking as passing or failing.
  `DATA_QUALITY_JOB_VIEW`
  View existing jobs including profiling and monitoring results.
  `DATA_QUALITY_MANAGE_DATA_SOURCES`
  Configure connections for Data Quality
  `DATA_QUALITY_MANAGE_DQ_DASHBOARDS`
  Create, edit, and delete DQ Dashboards
  `DATA_QUALITY_MANAGE_SETTINGS`
  Manage DQ settings like storage limits, schedule restrictions, data retention
  `DATA_QUALITY_MANAGE_TEMPLATES`
  Create, edit, and delete rule templates for Data Quality
  `DATA_STEWARDSHIP_MANAGER`
  Allows for accessing the Data Stewardship.
  `DOMAIN_ADD`
  Allows for adding domains.
  `DOMAIN_CHANGE`
  Allows for changing domains.
  `DOMAIN_REMOVE`
  Allows for removing domains.
  `DOMAIN_RESPONSIBILITY_ADD`
  Allows for adding responsibilities on domains.
  `DOMAIN_RESPONSIBILITY_CHANGE`
  Allows for changing responsibilities on domains.
  `DOMAIN_RESPONSIBILITY_REMOVE`
  Allows for removing responsibilities on domains.
  `EDGE`
  Edge management permissions.
  `EDGE_CHART_UPLOAD`
  `EDGE_INTEGRATION_CAPABILITY_MANAGE`
  `EDGE_SITE_ADMINISTER`
  `EDGE_SITE_CONNECT`
  `EDGE_SITE_MANAGE`
  `EDGE_VIEW_CONNECTIONS_AND_CAPABILITIES`
  `EDGE_VIEW_LOGS`
  `GUIDED_STEWARDSHIP`
  Allows user to simplify the modelling of conceptual and logical models, and the related process of creating connections between physical data assets and their associated logical and conceptual assets.
  `INSIGHTS_SUMMARY`
  view insights application tiles summary only
  `INSIGHTS_VIEW`
  view insights application dashboards and drill down
  `LINEAGE_API_READ`
  Read-only access to public technical lineage API endpoints (graphs, relations, metadata, status).
  `LINEAGE_API_WRITE`
  Access to mutate lineage data through public technical lineage API endpoints.
  `LOGS_VIEW`
  Allows for viewing logs.
  `MANAGE_ALL_AI_AGENTS`
  Allows users to manage all AI agents in Collibra.
  `MANAGE_DATA_ACCESS`
  Allows users to manage the integration of an asset with the Data Access application.
  `MANAGE_OWN_AI_AGENTS`
  Allows users to create and manage AI agents they own.
  `MANAGE_UNSTRUCTURED_CONNECTIONS`
  Allow users to add, edit and delete unstructured data connections
  `MANAGE_UNSTRUCTURED_JOBS`
  Allow users to start and abort jobs to extract and classify unstructured data
  `METADATA_LAKE`
  Allows usage of the Metadata Lake application
  `POLICY_MANAGER`
  Allows for accessing the Policy Manager.
  `PRIVACY`
  Allows usage for the Privacy landing page
  `PROTECT`
  Collibra Protect permissions.
  `PROTECT_ADMINISTRATION`
  `PROTECT_EDIT`
  `PUBLISH_AI_AGENTS`
  Allows users to review and approve or reject AI agents for publication, and to monitor agent consumption.
  `RATING_ADD`
  Allows for adding ratings on resources.
  `RATING_CHANGE`
  Allows for changing ratings on resources.
  `RATING_REMOVE`
  Allows for removing ratings from resources.
  `READ_ONLY_ATTRIBUTES_OVERRIDE`
  Allows overriding the read-only flag on attributes.
  `REFERENCE_DATA_MANAGER`
  Allows for accessing the Reference Data.
  `REGISTER_PROFILING_INFORMATION`
  profiling api permission.
  `RELATION_TYPE_ADD`
  Deprecated.
  this permission is not in use anymore.
  `RELATION_TYPE_CHANGE`
  Deprecated.
  this permission is not in use anymore.
  `RELATION_TYPE_REMOVE`
  Deprecated.
  this permission is not in use anymore.
  `REPORTING_DOWNLOAD_INSIGHTS_DATA`
  download reporting insights data.
  `REPORTING_VIEW_INSIGHTS_REPORTS`
  view reporting insights reports.
  `RESOURCE_EXPORT`
  Allows for exporting of resources.
  `RESOURCE_IMPORT`
  Allows for importing of resources.
  `RESOURCE_MANAGE_ALL`
  Allows managing all resources
  `SYSTEM_ADMINISTRATION`
  Allows for system administrator settings.
  `TAGS_MANAGE`
  Allows for managing tags.
  `TAGS_VIEW`
  Allows for viewing the list of all tags.
  `TECHNICAL_LINEAGE`
  Allows to use technical lineage.
  `UNSTRUCTURED_AI`
  Allows to use unstructured AI capabilities.
  `USER_ADMINISTRATION`
  Allows for user administrator settings.
  `VALIDATION_EXECUTION`
  Allows for executing validation rules.
  `VIEW_MANAGE`
  Allows for managing Views, Dashboards and Search filters that belong to given user.
  `VIEW_MANAGE_ALL`
  Allows for managing Views, Dashboards and Search filters views of any user.
  `VIEW_NOTEBOOK`
  Allows user to access the “Notebook” tab and see content of a Data Notebook from the asset page.
  `VIEW_PERMISSIONS_CHANGE`
  Allows for changing view permissions of given user.
  `VIEW_PERMISSIONS_VIEW_ALL`
  Allows for viewing any resource (user with this permission will not be restricted by any view permissions).
  `VIEW_SAMPLES`
  Allows for viewing data samples.
  `VIEW_SHARE`
  Allows for sharing Views, Dashboards and Search filters that belong to given user.
  `WORKFLOW_ADMINISTRATION`
  Allows for workflow administrator settings.
  `WORKFLOW_DESIGNER_ACCESS`
  Allows for access to Workflow Designer.
  `WORKFLOW_MANAGE`
  Allows for managing workflows.
  `WORKFLOW_MANAGE_ALL`
  Allows for managing workflows of any user.
  `WORKFLOW_MESSAGE_EVENTS_USE`
  Allows for using workflow events.
  `WORKFLOW_PARTICIPATION`
  Allows to partcipate in workflow
  `WORKFLOW_START`
  Allows to start workflow

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Permission`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Permission[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EDGE

    public static final Permission EDGE
    Edge management permissions.

  - ### EDGE_CHART_UPLOAD

    public static final Permission EDGE_CHART_UPLOAD

  - ### EDGE_SITE_CONNECT

    public static final Permission EDGE_SITE_CONNECT

  - ### EDGE_SITE_MANAGE

    public static final Permission EDGE_SITE_MANAGE

  - ### EDGE_SITE_ADMINISTER

    public static final Permission EDGE_SITE_ADMINISTER

  - ### EDGE_INTEGRATION_CAPABILITY_MANAGE

    public static final Permission EDGE_INTEGRATION_CAPABILITY_MANAGE

  - ### EDGE_VIEW_CONNECTIONS_AND_CAPABILITIES

    public static final Permission EDGE_VIEW_CONNECTIONS_AND_CAPABILITIES

  - ### EDGE_VIEW_LOGS

    public static final Permission EDGE_VIEW_LOGS

  - ### ASSET_GRID_ADMINISTRATION

    @Deprecated public static final Permission ASSET_GRID_ADMINISTRATION
    Deprecated.
    this permission is not in use anymore.
    Allows for the use of the Asset Grid feature.

  - ### ATTACHMENT_ADD

    public static final Permission ATTACHMENT_ADD
    Allows for adding attachments to resources.

  - ### ATTACHMENT_CHANGE

    public static final Permission ATTACHMENT_CHANGE
    Allows for changing attachments of resources.

  - ### ATTACHMENT_REMOVE

    public static final Permission ATTACHMENT_REMOVE
    Allows for removing attachments from resources.

  - ### COMMENT_ADD

    public static final Permission COMMENT_ADD
    Allows for adding comments on resources.

  - ### COMMENT_CHANGE

    public static final Permission COMMENT_CHANGE
    Allows for changing comments on resources.

  - ### COMMENT_REMOVE

    public static final Permission COMMENT_REMOVE
    Allows for removing comments from resources.

  - ### RATING_ADD

    public static final Permission RATING_ADD
    Allows for adding ratings on resources.

  - ### RATING_CHANGE

    public static final Permission RATING_CHANGE
    Allows for changing ratings on resources.

  - ### RATING_REMOVE

    public static final Permission RATING_REMOVE
    Allows for removing ratings from resources.

  - ### RESOURCE_EXPORT

    public static final Permission RESOURCE_EXPORT
    Allows for exporting of resources.

  - ### RESOURCE_IMPORT

    public static final Permission RESOURCE_IMPORT
    Allows for importing of resources.

  - ### COMMUNITY_ADD

    public static final Permission COMMUNITY_ADD
    Allows for adding communities.

  - ### COMMUNITY_CHANGE

    public static final Permission COMMUNITY_CHANGE
    Allows for changing communities.

  - ### COMMUNITY_REMOVE

    public static final Permission COMMUNITY_REMOVE
    Allows for removing communities.

  - ### COMMUNITY_CONFIGURE_EXTERNAL_SYSTEM

    public static final Permission COMMUNITY_CONFIGURE_EXTERNAL_SYSTEM
    Allows to configure external system for community.

  - ### COMMUNITY_RESPONSIBILITY_ADD

    public static final Permission COMMUNITY_RESPONSIBILITY_ADD
    Allows for adding responsibilities on communities.

  - ### COMMUNITY_RESPONSIBILITY_CHANGE

    public static final Permission COMMUNITY_RESPONSIBILITY_CHANGE
    Allows for changing responsibilities on communities.

  - ### COMMUNITY_RESPONSIBILITY_REMOVE

    public static final Permission COMMUNITY_RESPONSIBILITY_REMOVE
    Allows for removing responsibilities on communities.

  - ### DOMAIN_ADD

    public static final Permission DOMAIN_ADD
    Allows for adding domains.

  - ### DOMAIN_CHANGE

    public static final Permission DOMAIN_CHANGE
    Allows for changing domains.

  - ### DOMAIN_REMOVE

    public static final Permission DOMAIN_REMOVE
    Allows for removing domains.

  - ### DOMAIN_RESPONSIBILITY_ADD

    public static final Permission DOMAIN_RESPONSIBILITY_ADD
    Allows for adding responsibilities on domains.

  - ### DOMAIN_RESPONSIBILITY_CHANGE

    public static final Permission DOMAIN_RESPONSIBILITY_CHANGE
    Allows for changing responsibilities on domains.

  - ### DOMAIN_RESPONSIBILITY_REMOVE

    public static final Permission DOMAIN_RESPONSIBILITY_REMOVE
    Allows for removing responsibilities on domains.

  - ### WORKFLOW_MANAGE

    public static final Permission WORKFLOW_MANAGE
    Allows for managing workflows.

  - ### WORKFLOW_DESIGNER_ACCESS

    public static final Permission WORKFLOW_DESIGNER_ACCESS
    Allows for access to Workflow Designer.

  - ### ASSET_ADD

    public static final Permission ASSET_ADD
    Allows for adding assets.

  - ### ASSET_CHANGE

    public static final Permission ASSET_CHANGE
    Allows for changing assets.

  - ### ASSET_REMOVE

    public static final Permission ASSET_REMOVE
    Allows for removing assets.

  - ### ASSET_STATUS_CHANGE

    public static final Permission ASSET_STATUS_CHANGE
    Allows for changing the status of an asset.

  - ### ASSET_TYPE_CHANGE

    public static final Permission ASSET_TYPE_CHANGE
    Allows for changing the type of an asset.

  - ### ASSET_TAG_CHANGE

    public static final Permission ASSET_TAG_CHANGE
    Allows for changing tags on an asset.

  - ### ASSET_ATTRIBUTE_ADD

    public static final Permission ASSET_ATTRIBUTE_ADD
    Allows for adding attributes to assets.

  - ### ASSET_ATTRIBUTE_CHANGE

    public static final Permission ASSET_ATTRIBUTE_CHANGE
    Allows for changing attributes of assets.

  - ### ASSET_ATTRIBUTE_REMOVE

    public static final Permission ASSET_ATTRIBUTE_REMOVE
    Allows for removing attributes from assets.

  - ### ASSET_RESPONSIBILITY_ADD

    public static final Permission ASSET_RESPONSIBILITY_ADD
    Allows for adding responsibilities on assets.

  - ### ASSET_RESPONSIBILITY_CHANGE

    public static final Permission ASSET_RESPONSIBILITY_CHANGE
    Allows for changing responsibilities on assets.

  - ### ASSET_RESPONSIBILITY_REMOVE

    public static final Permission ASSET_RESPONSIBILITY_REMOVE
    Allows for removing responsibilities on assets.

  - ### ASSET_DECISION_RECORD

    public static final Permission ASSET_DECISION_RECORD
    Allow users to create a Decision Record within the Progress Tracker.

  - ### ASSET_PROGRESS_TRACKER_ASSESSMENT

    public static final Permission ASSET_PROGRESS_TRACKER_ASSESSMENT
    Allow users to create a Assessment Activities within the Progress Tracker

  - ### ASSET_PROGRESS_TRACKER_SIGN_OFF

    public static final Permission ASSET_PROGRESS_TRACKER_SIGN_OFF
    Allow users to create a Sign-Off within the Progress Tracker

  - ### ASSET_PROGRESS_TRACKER_UPDATE_STATUS

    public static final Permission ASSET_PROGRESS_TRACKER_UPDATE_STATUS
    Allow users to change status of the asset within the Progress Tracker.

  - ### VIEW_PERMISSIONS_CHANGE

    public static final Permission VIEW_PERMISSIONS_CHANGE
    Allows for changing view permissions of given user.

  - ### BUSINESS_SEMANTICS_GLOSSARY

    public static final Permission BUSINESS_SEMANTICS_GLOSSARY
    Allows for accessing the Business Semantic Glossary.

  - ### REFERENCE_DATA_MANAGER

    public static final Permission REFERENCE_DATA_MANAGER
    Allows for accessing the Reference Data.

  - ### DATA_STEWARDSHIP_MANAGER

    public static final Permission DATA_STEWARDSHIP_MANAGER
    Allows for accessing the Data Stewardship.

  - ### SYSTEM_ADMINISTRATION

    public static final Permission SYSTEM_ADMINISTRATION
    Allows for system administrator settings.

  - ### USER_ADMINISTRATION

    public static final Permission USER_ADMINISTRATION
    Allows for user administrator settings.

  - ### WORKFLOW_ADMINISTRATION

    public static final Permission WORKFLOW_ADMINISTRATION
    Allows for workflow administrator settings.

  - ### DATA_HELPDESK

    public static final Permission DATA_HELPDESK
    Allows for accessing the Data Helpdesk.

  - ### POLICY_MANAGER

    public static final Permission POLICY_MANAGER
    Allows for accessing the Policy Manager.

  - ### DATA_DICTIONARY

    public static final Permission DATA_DICTIONARY
    Allows for accessing the Data Dictionary.

  - ### CATALOG

    public static final Permission CATALOG
    Allows for accessing the Catalog.

  - ### WORKFLOW_MANAGE_ALL

    public static final Permission WORKFLOW_MANAGE_ALL
    Allows for managing workflows of any user.

  - ### WORKFLOW_MESSAGE_EVENTS_USE

    public static final Permission WORKFLOW_MESSAGE_EVENTS_USE
    Allows for using workflow events.

  - ### VIEW_PERMISSIONS_VIEW_ALL

    public static final Permission VIEW_PERMISSIONS_VIEW_ALL
    Allows for viewing any resource (user with this permission will not be restricted by any view permissions).

  - ### VIEW_MANAGE

    public static final Permission VIEW_MANAGE
    Allows for managing Views, Dashboards and Search filters that belong to given user.

  - ### VIEW_SHARE

    public static final Permission VIEW_SHARE
    Allows for sharing Views, Dashboards and Search filters that belong to given user.

  - ### VIEW_MANAGE_ALL

    public static final Permission VIEW_MANAGE_ALL
    Allows for managing Views, Dashboards and Search filters views of any user.

  - ### DATA_CLASSES_READ

    public static final Permission DATA_CLASSES_READ
    Allows for reading data classes.

  - ### DATA_CLASSES_ADD

    public static final Permission DATA_CLASSES_ADD
    Allows for adding data classes.

  - ### DATA_CLASSES_EDIT

    public static final Permission DATA_CLASSES_EDIT
    Allows for changing data classes.

  - ### DATA_CLASSES_REMOVE

    public static final Permission DATA_CLASSES_REMOVE
    Allows for removing data classes.

  - ### DATA_CLASSES_LIST_VALUES

    public static final Permission DATA_CLASSES_LIST_VALUES
    Allows for listing of data classes values.

  - ### ADVANCED_DATA_TYPE_ADD

    public static final Permission ADVANCED_DATA_TYPE_ADD
    Allows for adding advanced data type.

  - ### ADVANCED_DATA_TYPE_EDIT

    public static final Permission ADVANCED_DATA_TYPE_EDIT
    Allows for changing advanced data type.

  - ### ADVANCED_DATA_TYPE_REMOVE

    public static final Permission ADVANCED_DATA_TYPE_REMOVE
    Allows for removing advanced data type.

  - ### TAGS_VIEW

    public static final Permission TAGS_VIEW
    Allows for viewing the list of all tags.

  - ### TAGS_MANAGE

    public static final Permission TAGS_MANAGE
    Allows for managing tags.

  - ### VALIDATION_EXECUTION

    public static final Permission VALIDATION_EXECUTION
    Allows for executing validation rules.

  - ### ACCESS_DATA

    public static final Permission ACCESS_DATA
    Allows for accessing data.

  - ### VIEW_SAMPLES

    public static final Permission VIEW_SAMPLES
    Allows for viewing data samples.

  - ### RELATION_TYPE_ADD

    @Deprecated public static final Permission RELATION_TYPE_ADD
    Deprecated.
    this permission is not in use anymore.
    Allows for adding relation types.

  - ### RELATION_TYPE_REMOVE

    @Deprecated public static final Permission RELATION_TYPE_REMOVE
    Deprecated.
    this permission is not in use anymore.
    Allows for removing relation types.

  - ### RELATION_TYPE_CHANGE

    @Deprecated public static final Permission RELATION_TYPE_CHANGE
    Deprecated.
    this permission is not in use anymore.
    Allows for changing relation types.

  - ### REGISTER_PROFILING_INFORMATION

    public static final Permission REGISTER_PROFILING_INFORMATION
    profiling api permission.

  - ### REPORTING_DOWNLOAD_INSIGHTS_DATA

    public static final Permission REPORTING_DOWNLOAD_INSIGHTS_DATA
    download reporting insights data.

  - ### REPORTING_VIEW_INSIGHTS_REPORTS

    public static final Permission REPORTING_VIEW_INSIGHTS_REPORTS
    view reporting insights reports.

  - ### INSIGHTS_VIEW

    public static final Permission INSIGHTS_VIEW
    view insights application dashboards and drill down

  - ### INSIGHTS_SUMMARY

    public static final Permission INSIGHTS_SUMMARY
    view insights application tiles summary only

  - ### TECHNICAL_LINEAGE

    public static final Permission TECHNICAL_LINEAGE
    Allows to use technical lineage.

  - ### LINEAGE_API_READ

    public static final Permission LINEAGE_API_READ
    Read-only access to public technical lineage API endpoints (graphs, relations, metadata, status).

  - ### LINEAGE_API_WRITE

    public static final Permission LINEAGE_API_WRITE
    Access to mutate lineage data through public technical lineage API endpoints.

  - ### LOGS_VIEW

    public static final Permission LOGS_VIEW
    Allows for viewing logs.

  - ### RESOURCE_MANAGE_ALL

    public static final Permission RESOURCE_MANAGE_ALL
    Allows managing all resources

  - ### READ_ONLY_ATTRIBUTES_OVERRIDE

    public static final Permission READ_ONLY_ATTRIBUTES_OVERRIDE
    Allows overriding the read-only flag on attributes. Users with this permission can create, change or delete read-only attributes on assets where they have write permission.

  - ### CONFIGURATION_VIEW

    public static final Permission CONFIGURATION_VIEW
    Allow to view the configuration

  - ### CONFIGURATION_EDIT

    public static final Permission CONFIGURATION_EDIT
    Allow to edit the configuration

  - ### BACKSTORE_VIEW

    @Deprecated public static final Permission BACKSTORE_VIEW
    Deprecated.
    this permission is not in use anymore.
    Allow to view the backups

  - ### BACKSTORE_EDIT

    @Deprecated public static final Permission BACKSTORE_EDIT
    Deprecated.
    this permission is not in use anymore.
    Allow to trigger actions on backups or edit backups

  - ### ASSESSMENTS

    public static final Permission ASSESSMENTS
    Assessments permissions.

  - ### ASSESSMENTS_ADMINISTRATION

    public static final Permission ASSESSMENTS_ADMINISTRATION

  - ### ASSESSMENTS_CONDUCT_ASSESSMENTS

    public static final Permission ASSESSMENTS_CONDUCT_ASSESSMENTS

  - ### ASSESSMENTS_MANAGE_TEMPLATES

    public static final Permission ASSESSMENTS_MANAGE_TEMPLATES

  - ### METADATA_LAKE

    public static final Permission METADATA_LAKE
    Allows usage of the Metadata Lake application

  - ### PROTECT

    public static final Permission PROTECT
    Collibra Protect permissions.

  - ### PROTECT_EDIT

    public static final Permission PROTECT_EDIT

  - ### PROTECT_ADMINISTRATION

    public static final Permission PROTECT_ADMINISTRATION

  - ### AI_GOVERNANCE

    public static final Permission AI_GOVERNANCE
    AI Governance permissions.

  - ### AI_GOVERNANCE_REGISTER_AI_AGENT

    public static final Permission AI_GOVERNANCE_REGISTER_AI_AGENT

  - ### AI_GOVERNANCE_REGISTER_AI_MODEL

    public static final Permission AI_GOVERNANCE_REGISTER_AI_MODEL

  - ### AI_GOVERNANCE_REGISTER_AI_USE_CASE

    public static final Permission AI_GOVERNANCE_REGISTER_AI_USE_CASE

  - ### AI_GOVERNANCE_SUMMARY_DASHBOARD

    public static final Permission AI_GOVERNANCE_SUMMARY_DASHBOARD

  - ### AI_GOVERNANCE_DASHBOARD_ADMINISTRATION

    public static final Permission AI_GOVERNANCE_DASHBOARD_ADMINISTRATION

  - ### PRIVACY

    public static final Permission PRIVACY
    Allows usage for the Privacy landing page

  - ### DATA_MARKETPLACE

    public static final Permission DATA_MARKETPLACE
    Allows usage of the data marketplace component

  - ### CLASSIFY

    public static final Permission CLASSIFY
    Allows to trigger the classification process

  - ### WORKFLOW_START

    public static final Permission WORKFLOW_START
    Allows to start workflow

  - ### WORKFLOW_PARTICIPATION

    public static final Permission WORKFLOW_PARTICIPATION
    Allows to partcipate in workflow

  - ### DATA_NOTEBOOK

    public static final Permission DATA_NOTEBOOK
    Allows user to add/update/remove their own notebooks.

  - ### DATA_NOTEBOOK_MANAGE_DATA_SOURCES

    public static final Permission DATA_NOTEBOOK_MANAGE_DATA_SOURCES
    Allows user to add/update/remove the registration of data sources allowed for Data Notebooks.

  - ### DATA_NOTEBOOK_MANAGE_SETTINGS

    public static final Permission DATA_NOTEBOOK_MANAGE_SETTINGS
    Allows user to edit workspace settings of the Data Notebooks application.

  - ### DATA_NOTEBOOK_MANAGE_ALL_NOTEBOOKS

    public static final Permission DATA_NOTEBOOK_MANAGE_ALL_NOTEBOOKS
    Allows user to add/update/remove all notebooks even when not their own.

  - ### VIEW_NOTEBOOK

    public static final Permission VIEW_NOTEBOOK
    Allows user to access the “Notebook” tab and see content of a Data Notebook from the asset page.

  - ### GUIDED_STEWARDSHIP

    public static final Permission GUIDED_STEWARDSHIP
    Allows user to simplify the modelling of conceptual and logical models, and the related process of creating connections between physical data assets and their associated logical and conceptual assets.

  - ### DATA_MARKETPLACE_MANAGE

    @Deprecated(since="2026.07") public static final Permission DATA_MARKETPLACE_MANAGE
    Deprecated.
    this permission is not in use anymore.
    Allows a user to configure the data marketplace

  - ### DATA_QUALITY_INTEGRATION

    public static final Permission DATA_QUALITY_INTEGRATION
    Sync Data Intelligence Platform with Data Quality implementation

  - ### DATA_QUALITY

    public static final Permission DATA_QUALITY
    Access Data Quality application in menu

  - ### DATA_QUALITY_MANAGE_DATA_SOURCES

    public static final Permission DATA_QUALITY_MANAGE_DATA_SOURCES
    Configure connections for Data Quality

  - ### DATA_QUALITY_MANAGE_SETTINGS

    public static final Permission DATA_QUALITY_MANAGE_SETTINGS
    Manage DQ settings like storage limits, schedule restrictions, data retention

  - ### DATA_QUALITY_MANAGE_TEMPLATES

    public static final Permission DATA_QUALITY_MANAGE_TEMPLATES
    Create, edit, and delete rule templates for Data Quality

  - ### DATA_QUALITY_DEPLOY_TEMPLATES

    public static final Permission DATA_QUALITY_DEPLOY_TEMPLATES
    Deploy rule templates to Data Quality jobs

  - ### DATA_QUALITY_MANAGE_DQ_DASHBOARDS

    public static final Permission DATA_QUALITY_MANAGE_DQ_DASHBOARDS
    Create, edit, and delete DQ Dashboards

  - ### DATA_QUALITY_CONNECTION_VIEW

    public static final Permission DATA_QUALITY_CONNECTION_VIEW
    View connection in monitors overview.

  - ### DATA_QUALITY_CONNECTION_RESPONSIBILITIES_ADD

    public static final Permission DATA_QUALITY_CONNECTION_RESPONSIBILITIES_ADD
    Add responsibilities to the connection.

  - ### DATA_QUALITY_CONNECTION_RESPONSIBILITIES_REMOVE

    public static final Permission DATA_QUALITY_CONNECTION_RESPONSIBILITIES_REMOVE
    Remove responsibilities from the connection.

  - ### DATA_QUALITY_JOB_VIEW

    public static final Permission DATA_QUALITY_JOB_VIEW
    View existing jobs including profiling and monitoring results.

  - ### DATA_QUALITY_JOB_CREATE

    public static final Permission DATA_QUALITY_JOB_CREATE
    Create new jobs on a connection.

  - ### DATA_QUALITY_JOB_DELETE

    public static final Permission DATA_QUALITY_JOB_DELETE
    Delete jobs from a connection.

  - ### DATA_QUALITY_JOB_RUN

    public static final Permission DATA_QUALITY_JOB_RUN
    Run job - either manually or via API trigger.

  - ### DATA_QUALITY_JOB_SCHEDULE

    public static final Permission DATA_QUALITY_JOB_SCHEDULE
    Enable, disable or edit job schedule.

  - ### DATA_QUALITY_JOB_EDIT

    public static final Permission DATA_QUALITY_JOB_EDIT
    Edit existing jobs including row/column filters, run date, monitoring enabled, etc.

  - ### DATA_QUALITY_JOB_ACCESS_LOGS

    public static final Permission DATA_QUALITY_JOB_ACCESS_LOGS
    View and download job logs.

  - ### DATA_QUALITY_JOB_RESPONSIBILITIES_ADD

    public static final Permission DATA_QUALITY_JOB_RESPONSIBILITIES_ADD
    Add job level responsibilities.

  - ### DATA_QUALITY_JOB_RESPONSIBILITIES_REMOVE

    public static final Permission DATA_QUALITY_JOB_RESPONSIBILITIES_REMOVE
    Remove job level responsibilities.

  - ### DATA_QUALITY_JOB_TRAIN_MONITORS

    public static final Permission DATA_QUALITY_JOB_TRAIN_MONITORS
    Train monitor results by marking as passing or failing.

  - ### DATA_QUALITY_JOB_CREATE_MONITORS

    public static final Permission DATA_QUALITY_JOB_CREATE_MONITORS
    Create monitors on an existing job.

  - ### DATA_QUALITY_JOB_EDIT_MONITORS

    public static final Permission DATA_QUALITY_JOB_EDIT_MONITORS
    Edit existing monitors on an existing job.

  - ### DATA_QUALITY_JOB_DELETE_MONITORS

    public static final Permission DATA_QUALITY_JOB_DELETE_MONITORS
    Delete existing monitors on an existing job.

  - ### DATA_QUALITY_JOB_PREVIEW_RULE_BREAK_RECORDS

    public static final Permission DATA_QUALITY_JOB_PREVIEW_RULE_BREAK_RECORDS
    Preview rule results in rule workbench and view break records for custom rules. Includes sensitive data display.

  - ### AI_COPILOT

    public static final Permission AI_COPILOT
    Grants users access to interact with the Collibra AI Copilot interface and access the AI agents that power it.

  - ### MANAGE_ALL_AI_AGENTS

    public static final Permission MANAGE_ALL_AI_AGENTS
    Allows users to manage all AI agents in Collibra.

  - ### MANAGE_OWN_AI_AGENTS

    public static final Permission MANAGE_OWN_AI_AGENTS
    Allows users to create and manage AI agents they own.

  - ### PUBLISH_AI_AGENTS

    public static final Permission PUBLISH_AI_AGENTS
    Allows users to review and approve or reject AI agents for publication, and to monitor agent consumption.

  - ### DATA_CONTRACT

    public static final Permission DATA_CONTRACT
    Allows users to access the data contract registry and manage data contract manifests.

  - ### CONTROL_TOWER

    public static final Permission CONTROL_TOWER
    Grants access to Control Tower features and functionality.

  - ### ASSET_CONTROL_ACTIVATE_AND_RUN

    public static final Permission ASSET_CONTROL_ACTIVATE_AND_RUN
    Grants the ability to manage controls in Control Tower.

  - ### UNSTRUCTURED_AI

    public static final Permission UNSTRUCTURED_AI
    Allows to use unstructured AI capabilities.

  - ### MANAGE_UNSTRUCTURED_JOBS

    public static final Permission MANAGE_UNSTRUCTURED_JOBS
    Allow users to start and abort jobs to extract and classify unstructured data

  - ### MANAGE_UNSTRUCTURED_CONNECTIONS

    public static final Permission MANAGE_UNSTRUCTURED_CONNECTIONS
    Allow users to add, edit and delete unstructured data connections

  - ### DATA_ACCESS

    public static final Permission DATA_ACCESS
    Allows users to access the Collibra Data Access application.

  - ### DATA_ACCESS_CALL_SYNC_APIS

    public static final Permission DATA_ACCESS_CALL_SYNC_APIS
    Allows users to call the import and export APIs to build custom integrations.

  - ### DATA_ACCESS_CREATE_ACCESS_CONTROLS

    public static final Permission DATA_ACCESS_CREATE_ACCESS_CONTROLS
    Allows users to create new Access Controls (including masks and filters), even if they don't own any Data Objects.

  - ### DATA_ACCESS_MANAGE_ALL_ACCESS

    public static final Permission DATA_ACCESS_MANAGE_ALL_ACCESS
    Allows users to manage all Access Controls and monitor all data access and usage insights.

  - ### DATA_ACCESS_MANAGE_SETTINGS

    public static final Permission DATA_ACCESS_MANAGE_SETTINGS
    Allows users to manage the settings for Collibra Data Access. It also allows creating new Data Sources.

  - ### DATA_ACCESS_VIEW_ALL_ACCESS_AND_USAGE

    public static final Permission DATA_ACCESS_VIEW_ALL_ACCESS_AND_USAGE
    Allows users to monitor all access and usage metrics.

  - ### MANAGE_DATA_ACCESS

    public static final Permission MANAGE_DATA_ACCESS
    Allows users to manage the integration of an asset with the Data Access application.

  - ### DATA_PRODUCTS

    public static final Permission DATA_PRODUCTS
    Controls access to the Data Products application.

  - ### DATA_PRODUCTS_MANAGE_APPLICATION_LAYOUT

    public static final Permission DATA_PRODUCTS_MANAGE_APPLICATION_LAYOUT
    Controls Data Products application layout management.

- ## Method Details

  - ### values

    public static Permission[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Permission valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null